7.5. SVGAlib
Précédent | Chapitre 7. Sorties vidéo | Suivant

## 7.5. SVGAlib

INSTALLATION. Vous devrez installer svgalib et ses paquets de développement afin que MPlayer construise son pilote SVGAlib (autodetecté, mais peut être forcé), et n'oubliez pas d'éditer `/etc/vga/libvga.config` pour l'ajuster à votre carte et votre moniteur.

### Note

Assurez-vous de ne pas utiliser l'option `-fs`, car elle active l'utilisation du redimensionneur logiciel, et c'est lent. Si vous en avez réellement besoin, utilisez l'option `-sws 4` qui donnera une qualité mauvaise, mais qui est un peu plus rapide.

SUPPORT EGA (4BPP). SVGAlib incorpore EGAlib, et MPlayer a la possibilité d'afficher n'importe quel film en 16 couleurs, donc utilisable avec les configurations suivantes :

- carte EGA avec moniteur EGA: 320x200x4bpp, 640x200x4bpp, 640x350x4bpp

- carte EGA avec moniteur CGA: 320x200x4bpp, 640x200x4bpp

La valeur des bpp (bits par pixel) doit être fixé à 4 manuellement : `-bpp 4`

Le film doit probablement être redimensionné pour tenir dans le mode EGA :

    -vf scale=640:350

ou

    -vf scale=320:200

Pour cela nous avons besoin de la routine de redimensionnement rapide mais de mauvaise qualité :

    -sws 4

Peut-être que la correction d'aspect automatique doit être coupée :

    -noaspect

### Note

D'après mon expérience, la meilleur qualité d'image sur les écrans EGA peut être obtenue en diminuant légèrement la luminosité : `-vf eq=-20:0`. J'ai également besoin de diminuer la fréquence d'échantillonnage sur ma machine, car le son est endommagé en 44kHz : `-srate 22050`.

Vous pouvez activer l'OSD et les sous-titres uniquement avec le filtre `expand`, voir la page de man pour les paramètres exacts.

Précédent | Niveau supérieur | Suivant
7.4. SDL | Sommaire | 7.6. Sortie Framebuffer (FBdev)